## deepin-image-viewer 5.9.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(deepin-image-viewer)

execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)

set(CMAKE_EXPORT_COMPILE_COMMANDS on)

find_package(PkgConfig REQUIRED)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})

message(STATUS ${CMAKE_CXX_FLAGS})


option(DOTEST "option for test" OFF)

if(DOTEST)
    add_subdirectory(tests)
endif()


#add_subdirectory(libimage-viewer)
add_subdirectory(src)
add_subdirectory(qimage-plugins)

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(deepin-image-viewer-test VERSION 0.1)

#"option"用来定义宏，"ON"表示打开，"OFF"表示关闭
option (LITE_DIV "Use tutorial provided math implementation" ON)
add_definitions( -DLITE_DIV )
option (USE_UNIONIMAGE "Use UNIONIMAGE" ON)
add_definitions( -DUSE_UNIONIMAGE )

option (USE_TEST "Use TESTS" ON)
add_definitions( -DUSE_TEST )

set(TARGET_NAME deepin-image-viewer-test)
set(CMD_NAME deepin-image-viewer-test)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
#ADD_DEFINITIONS( -LITE_DIV)
execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)



if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 ")
endif()

# Sources files
#cmakedefine USE_MYMATH
set(AllTestQRC
    ./testqrc/testresource.qrc)
file(GLOB_RECURSE HEADERSCURRENT "*.h")
file(GLOB_RECURSE  SOURCESCURRENT  "*.cpp")

file (GLOB_RECURSE SOURCES
    "../src/src/accessibility/*.cpp"
    "../src/src/mainwindow/*.cpp"
    "../src/src/module/*.cpp"
    "../src/*.h"
    "../src/application.cpp"
    )
file(GLOB_RECURSE SOURCESC "../src/*.c")
#file(GLOB_RECURSE HEADERS "../src/src/module/modulepanel.h")
file(GLOB_RECURSE FORMS "../src/*.ui")
file(GLOB_RECURSE RESOURCES "../*.qrc")

include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/../src/src/
    ${PROJECT_SOURCE_DIR}/../src/src/utils
    )

find_package(PkgConfig REQUIRED)

find_package(Qt5Core)
find_package(Qt5Test)
find_package(Qt5Gui)
find_package(Qt5Widgets)
find_package(Qt5Sql)
find_package(Qt5DBus)
find_package(Qt5Concurrent)
find_package(Qt5Svg)
find_package(Qt5X11Extras)
find_package(Qt5PrintSupport)
find_package(Qt5OpenGL)
find_package(Qt5LinguistTools)

pkg_check_modules(3rd_lib REQUIRED
    dtkcore
    dtkwidget
#    freeimage
        )

## translations

file(GLOB TS LIST_DIRECTORIES false translations/${CMD_NAME}*.ts)

set_source_files_properties(${TS} PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)

qt5_create_translation(QM ${SOURCES}  ${GLOB})

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    qt5_create_translation(QM ${SRCS} ${TS})
endif ()

add_executable( ${TARGET_NAME} ${SOURCES} ${SOURCESC}
    ${HEADERS} ${AllTestQRC}
    ${RESOURCES} ${HEADERSCURRENT}
    ${SOURCESCURRENT} ${QM}
    )

target_include_directories(${TARGET_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${PROJECT_INCLUDE} ${GLOB_RECURSE})
target_link_libraries(${TARGET_NAME} ${3rd_lib_LIBRARIES} )


target_link_libraries(
    ${PROJECT_NAME}
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::Svg
    Qt5::DBus
    Qt5::Concurrent
    Qt5::X11Extras
    Qt5::PrintSupport
    Qt5::Test
    dtkwidget
    dtkcore
    X11
    Xext
    exif
    freeimage
    pthread
    imageviewer
    gtest
    )


include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})
#configure_file(${PROJECT_SOURCE_DIR}/config.h.in  @ONLY)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)


# 添加gocv覆盖率文件的输出
#set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")
# 加速编译优化参数
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")
else()
    set(CMAKE_CXX_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer -g -fprofile-arcs -ftest-coverage -pthread ")
    set(CMAKE_C_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer -pthread ")
    set(CMAKE_Ｌ_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
endif()

set(CMAKE_CXX_OUTPUT_EXTENSION_REPLACE ON)

set(OBJECT_DIR ${CMAKE_BINARY_DIR}/CMakeFiles/objects)

add_custom_target(test
    COMMAND mkdir -p coverageResult
    COMMAND mkdir -p tests/test
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR})

add_custom_command(TARGET test
    COMMAND echo " ===================CREAT LCOV REPROT==================== "
    COMMAND lcov --directory ./CMakeFiles/${PROJECT_NAME}.dir --zerocounters
    COMMAND ./tests/${PROJECT_NAME}
    COMMAND lcov --directory . --capture --output-file ./coverageResult/${PROJECT_NAME}_Coverage.info

    COMMAND echo " =================== do filter begin ==================== "
    COMMAND lcov --remove ./coverageResult/${PROJECT_NAME}_Coverage.info 'CMakeFiles/${PROJECT_NAME}.dir/${PROJECT_NAME}_autogen/*/*'
    '${PROJECT_NAME}_autogen/*/*' 'googletest/*/*' '*/usr/include/*' '*/tests/*' '/usr/local/*'
    -o ./coverageResult/${PROJECT_NAME}_Coverage_fileter.info
    COMMAND echo " =================== do filter end ==================== "

    COMMAND genhtml -o ./coverageResult/report ./coverageResult/${PROJECT_NAME}_Coverage_fileter.info
    COMMAND echo " -- Coverage files have been output to ${CMAKE_BINARY_DIR}/coverageResult/report "
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    )
add_dependencies(test ${PROJECT_NAME})

=== qimage-plugins/libraw/CMakeLists.txt ===
project(xraw VERSION 0.1.0)
set(CMAKE_AUTOMOC ON)
set(CMD_NAME xraw)
#set(CMAKE_CXX_STANDARD 11)



ADD_DEFINITIONS(-DTORRENT_LIBRARY)
ADD_DEFINITIONS(-DNO_FREETYPE)
ADD_DEFINITIONS(-DUNICODE -D_UNICODE)
ADD_DEFINITIONS(-DHCPP_LEGACY_API)
add_definitions(-D_LIBXRAW_)
find_package(PkgConfig REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)

pkg_check_modules(RAW REQUIRED libraw)
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

 # 加速编译优化参数
 if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -z noexecstack")
     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -z noexecstack")
     SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
endif ()

include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include(GNUInstallDirs)
include_directories(${PROJECT_BINARY_DIR})

list(APPEND SRCS
    main.cpp
    rawiohandler.cpp
    datastream.cpp)

add_library(${CMD_NAME} SHARED ${SRCS})

set_target_properties(${CMD_NAME} PROPERTIES VERSION 1.0.0 SOVERSION 1)
#target_compile_definitions(${CMD_NAME} PRIVATE BUILDING_${CMD_NAME})

target_include_directories(xraw PUBLIC ${RAW_INCLUDE_DIRS}  ${Qt5Gui_INCLUDE_DIRS} ${Qt5Core_INCLUDE_DIRS} )

target_link_libraries(${CMD_NAME} Qt5::Core Qt5::Gui raw)

install(TARGETS ${CMD_NAME} DESTINATION ${Qt5Core_DIR}/../../qt5/plugins/imageformats)


QT5_USE_MODULES(${PROJECT_NAME} Core Gui)

=== debian/changelog ===
deepin-image-viewer (5.9.16-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 12 Dec 2023 20:01:01 +0800

deepin-image-viewer (5.9.16) unstable; urgency=medium

  * Bump version to 5.9.16 for diff branch. 

 -- renbin <renbin@uniontech.com>  Tue, 12 Dec 2023 17:09:15 +0800

deepin-image-viewer (5.9.15) unstable; urgency=medium

  * fix: build failed with libraw after version 0.21.0(Influence: RAW)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 21 Sep 2023 15:54:07 +0800

deepin-image-viewer (5.9.14) unstable; urgency=medium

  * Revert "fix: Split libxraw plugin and app(Bug: 199143)"
  * Revert "chore: Add install depend libxraw(Bug: 199143)"
  * chore: Compatible with libxraw package.(Influence: Debian/Control)

 -- renbin <renbin@uniontech.com>  Thu, 31 Aug 2023 15:57:23 +0800

deepin-image-viewer (5.9.13) unstable; urgency=medium

  * fix: Adapt compact mode.(Bug: 199309)(Influence: TitleBar CompactMode)
  * fix: Adapt comapct mode with click image.(Bug: 199309)(Influence: ComapctMode)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 31 May 2023 13:32:29 +0800

deepin-image-viewer (5.9.12) unstable; urgency=medium

  * fix: 拆分 libxraw 插件和应用(Bug: 199143)(Influence: libxraw 插件)
  * chore: 添加安装依赖libxraw(Bug: 199143)(Influence: 安装依赖libxraw)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 24 May 2023 13:15:23 +0800

deepin-image-viewer (5.9.11) unstable; urgency=medium

  * Update version to distinguish pro/community.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Fri, 10 Mar 2023 10:12:47 +0800

=== debian/control ===
Source: deepin-image-viewer
Section: utils
Priority: extra
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11), cmake, qtbase5-dev, pkg-config,libexif-dev, libqt5svg5-dev, libqt5x11extras5-dev, libsqlite3-dev, qttools5-dev-tools,qttools5-dev, libxcb-util0-dev, libstartup-notification0-dev,
 libraw-dev,libfreeimage-dev, libqt5opengl5-dev, 
 qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev,
 libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev,
 libxrender-dev, libdtkwidget-dev, libdtkwidget5-bin,libdtkcore5-bin,libimageeditor-dev (>= 1.0.22)
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-image-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite, qt5-image-formats-plugins, libimageeditor (>= 1.0.22)
Recommends: libqt5libqgtk2, kimageformat-plugins ,deepin-ocr,uos-reporter, deepin-event-log 
Conflicts: libxraw (<< 5.9.14)
Replaces: libxraw (<< 5.9.14)
Provides: libxraw (= 5.9.13)
Description: Image Viewer is an image viewing tool with fashion interface and smooth performance.
 Deepin Image Viewer is an image viewing tool with fashion interface and smooth performance.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export QT_SELECT=5
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_INSTALL_PREFIX=/usr \
      -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

## deepin-image-viewer 5.9.19

=== debian/changelog ===
deepin-image-viewer (5.9.19) unstable; urgency=medium

  * feat: add avif and heif image format file support
  * chore: Update depend libimageeditor version
  * feat: Add quick print pictures.

 -- zhanghongyuan <zhanghongyuan@union>  Wed, 26 Jun 2024 10:08:03 +0800

deepin-image-viewer (5.9.18) unstable; urgency=medium

  * feat: Change default shortcuts popup position(Task: 332273)(Influence: Shortcuts)

 -- renbin <renbin@uniontech.com>  Wed, 27 Mar 2024 16:02:10 +0800

deepin-image-viewer (5.9.17) unstable; urgency=medium

  * fix: Not layout center on OpenImage widget.(Bug: 156713)
  * feat: Merge permission/watermark into master(Task: 27785)
  * fix: Add implicitly included header files

 -- renbin <renbin@uniontech.com>  Tue, 30 Jan 2024 14:29:35 +0800

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  libraw-dev,libfreeimage-dev, libqt5opengl5-dev, 
  qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev,
  libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev,
- libxrender-dev, libdtkwidget-dev, libdtkwidget5-bin,libdtkcore5-bin,libimageeditor-dev (>= 1.0.22)
+ libxrender-dev, libdtkwidget-dev, libdtkwidget5-bin,libdtkcore5-bin,libimageeditor-dev (>> 1.0.43-1)
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org
 
 Package: deepin-image-viewer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite, qt5-image-formats-plugins, libimageeditor (>= 1.0.22)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite, qt5-image-formats-plugins, libimageeditor (>> 1.0.43-1)
 Recommends: libqt5libqgtk2, kimageformat-plugins ,deepin-ocr,uos-reporter, deepin-event-log 
 Conflicts: libxraw (<< 5.9.14)
 Replaces: libxraw (<< 5.9.14)

## deepin-image-viewer 5.9.20

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(deepin-image-viewer VERSION 1.0.0)

##"option"用来定义宏，"ON"表示打开，"OFF"表示关闭
#option (LITE_DIV "Use tutorial provided math implementation" ON)
##使用UnionImage
#option (USE_UNIONIMAGE "Use UNIONIMAGE" ON)
add_definitions( -DLITE_DIV )
add_definitions( -DUSE_UNIONIMAGE )
add_definitions( -DCMAKE_BUILD )
# 加速编译优化参数
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-need -fPIE")
    SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-need -fPIE")
    SET(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -pie")
else()
    SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -O3 -Wl,--as-need -fPIE")
    SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3  -Wl,--as-need -fPIE")
    SET(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -pie")
endif()

if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "sw_64")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mieee")
endif()

set(TARGET_NAME deepin-image-viewer)
set(CMD_NAME deepin-image-viewer)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

file(GLOB_RECURSE  SOURCES  "src/*.cpp" "src/*/*.cpp")
file(GLOB_RECURSE SOURCESC "src/*.c")
file(GLOB_RECURSE HEADERS "src/module/modulepanel.h" "src/*/*.h")
file(GLOB_RECURSE FORMS "src/*.ui")
file(GLOB_RECURSE RESOURCES "*.qrc")

include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories("../libimage-viewer/")

configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)

set(PROJECT_INCLUDE
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_SOURCE_DIR}/src/utils
    ${PROJECT_SOURCE_DIR}/src/controller
    ${PROJECT_SOURCE_DIR}/src/dirwatcher
    ${PROJECT_SOURCE_DIR}/src/widgets
    ${PROJECT_SOURCE_DIR}/src/accessibility
    ${PROJECT_SOURCE_DIR}/src/third-party/accessibility
    ${PROJECT_SOURCE_DIR}/src/module
    )

set(QtModule Core Gui Widgets LinguistTools DBus)

#先查找到这些qt相关的模块以供链接使用
find_package(Qt5 REQUIRED ${QtModule})

find_package(PkgConfig REQUIRED)
pkg_check_modules(3rd_lib REQUIRED
    dtkwidget
    dtkcore
    )

## translations

file(GLOB TS LIST_DIRECTORIES false translations/${CMD_NAME}*.ts)

set_source_files_properties(${TS} PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)

qt5_create_translation(QM ${SOURCES}  ${GLOB})

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    qt5_create_translation(QM ${SOURCES} ${TS})
endif ()

# 设置不删除生成的文件夹内容文件
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

add_executable( ${PROJECT_NAME} ${SOURCES} ${SOURCESC} ${HEADERS} ${RESOURCES} ${QM})

target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${PROJECT_INCLUDE} )
target_link_libraries(${PROJECT_NAME}  ${3rd_lib_LIBRARIES} pthread imageviewer)
#将工程与这些模块链接起来
qt5_use_modules(${PROJECT_NAME} ${QtModule})

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

option (NOUSE_TEST " NO Use TESTS" ON)
add_definitions( -DNOUSE_TEST )

#install
set(PREFIX  /usr)
set(BINDIR  ${PREFIX}/bin)
set(APPSHAREDIR  ${PREFIX}/share/deepin-image-viewer)
set(MANDIR  ${PREFIX}/share/dman/deepin-image-viewer)
set(MANICONDIR  ${PREFIX}/share/icons/hicolor/scalable/apps)
set(APPICONDIR  ${PREFIX}/share/icons/hicolor/scalable/apps)

install(TARGETS ${TARGET_NAME} DESTINATION ${BINDIR})
#desktop
install(FILES ${PROJECT_SOURCE_DIR}/deepin-image-viewer.desktop
    DESTINATION /usr/share/applications)
#icons
install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/images/
    DESTINATION /usr/share/deepin-image-viewer/icons
    FILES_MATCHING PATTERN "*")
#manual
install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/deepin-image-viewer
    DESTINATION /usr/share/deepin-manual/manual-assets/application/
    FILES_MATCHING PATTERN "*")
#manual_icon
install(FILES ${PROJECT_SOURCE_DIR}/assets/doc/common/deepin-image-viewer.svg
    DESTINATION /usr/share/icons/hicolor/scalable/apps)
#app_icon
install(FILES ${PROJECT_SOURCE_DIR}/assets/images/logo/deepin-image-viewer.svg
    DESTINATION /usr/share/icons/hicolor/scalable/apps)
#dbus_service
install(FILES ${PROJECT_SOURCE_DIR}/com.deepin.ImageViewer.service
    DESTINATION /usr/share/dbus-1/services)
#translations
install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations
    DESTINATION ${APPSHAREDIR}
    FILES_MATCHING PATTERN "*.qm")
#context-menu conf 文管右键菜单配置文件
install(FILES ${PROJECT_SOURCE_DIR}/misc/context-menus/deepin-print-pictures.conf
    DESTINATION /usr/share/applications/context-menus/)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -113,7 +113,6 @@
     X11
     Xext
     exif
-    freeimage
     pthread
     imageviewer
     gtest

=== debian/changelog ===
deepin-image-viewer (5.9.20) unstable; urgency=medium

  *  remove freeimage

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 15 Nov 2024 14:03:32 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Deepin Packages Builder <packages@deepin.com>
 Build-Depends: debhelper (>= 11), cmake, qtbase5-dev, pkg-config,libexif-dev, libqt5svg5-dev, libqt5x11extras5-dev, libsqlite3-dev, qttools5-dev-tools,qttools5-dev, libxcb-util0-dev, libstartup-notification0-dev,
- libraw-dev,libfreeimage-dev, libqt5opengl5-dev, 
+ libraw-dev, libqt5opengl5-dev, 
  qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev,
  libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev,
  libxrender-dev, libdtkwidget-dev, libdtkwidget5-bin,libdtkcore5-bin,libimageeditor-dev (>> 1.0.43-1)

## deepin-image-viewer 6.0.20

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

# 玲珑构建依赖目录
include_directories(${CMAKE_INSTALL_PREFIX}/include)
include_directories(${CMAKE_INSTALL_PREFIX}/include/deepin-ocr-plugin-manager)

set(APP_BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin/)
set(BIN_NAME ${CMAKE_PROJECT_NAME})
list(APPEND RESOURCES)

find_package(Qt${QT_VERSION_MAJOR} CONFIG REQUIRED COMPONENTS
    Quick
    DBus
    Concurrent
    Svg
    PrintSupport
    LinguistTools
)

find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS
    Widget
    Declarative
)

# OCR
find_package(PkgConfig REQUIRED)
pkg_search_module(OCR_PLUGIN REQUIRED deepin-ocr-plugin-manager)
include_directories(${OCR_PLUGIN_INCLUDE_DIRS})

# 保证 src 目录下头文件全局可见
include_directories(src)

# 源文件
file(GLOB_RECURSE SRCS CONFIGURE_DEPENDS "./*.h" "./*.cpp")
file(GLOB_RECURSE QMLSRC ./*.qml)

qt_add_resources(SRCS res.qrc)

if(NOT BUILD_WITH_QT6)
    qt_add_resources(APPEND SRCS deepin-image-viewer.qrc)

    find_package(Qt5QuickCompiler CONFIG REQUIRED)
    qtquick_compiler_add_resources(RCC_SOURCES ${RESOURCES})
    list(APPEND SRCS ${RCC_SOURCES})
endif()

if(NOT(${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    # 调整优化级别
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3")

    # Translation
    file(GLOB TS LIST_DIRECTORIES false translations/${CMAKE_PROJECT_NAME}*.ts)
    set_source_files_properties(${TS} PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)
    qt_create_translation(QM ${SRCS} ${QMLSRC} ${TS})
    list(APPEND SRCS ${QM})
endif()

if(NOT BUILD_WITH_QT6)
    add_executable(${BIN_NAME}
        ${SRCS}
        ${RCC_SOURCES}
    )

else()
    qt_policy(SET QTP0001 NEW)

    # Executable definition
    add_executable(${BIN_NAME}
        main.cpp # Add main.cpp explicitly
        ${SRCS} # Add other C++ sources and generated QM files
    )

    # QML Module definition
    qt_add_qml_module(${BIN_NAME}
        URI IVModule # Define a URI for the QML module
        VERSION 1.0
        QML_FILES
            qml/main.qml
            qml/FullImageView.qml
            qml/ImageAnimation.qml
            qml/ImageViewer.qml
            qml/MainStack.qml
            qml/NavigationWidget.qml
            qml/OpenImageWidget.qml
            qml/ReName.qml
            qml/SFadeInOut.qml
            qml/SliderShow.qml
            qml/ThumbnailListView.qml
            qml/ViewRightMenu.qml
            qml/ViewTopTitle.qml
            qml/Dialog/RemoveDialog.qml
            qml/ImageDelegate/BaseImageDelegate.qml
            qml/ImageDelegate/DamagedImageDelegate.qml
            qml/ImageDelegate/DynamicImageDelegate.qml
            qml/ImageDelegate/MultiImageDelegate.qml
            qml/ImageDelegate/NonexistImageDelegate.qml
            qml/ImageDelegate/NormalImageDelegate.qml
            qml/ImageDelegate/SvgImageDelegate.qml
            qml/ImageDelegate/ViewDelegateLoader.qml
            qml/InformationDialog/ElideLabel.qml
            qml/InformationDialog/InformationDialog.qml
            qml/InformationDialog/PropertyActionItemDelegate.qml
            qml/InformationDialog/PropertyItem.qml
            qml/InformationDialog/PropertyItemDelegate.qml
            qml/LiveText/LiveBlock.qml
            qml/LiveText/LiveBlockController.js
            qml/LiveText/LiveBlockRubberBand.qml
            qml/LiveText/LiveTextWidget.qml
            qml/ThumbnailDelegate/BaseThumbnailDelegate.qml
            qml/ThumbnailDelegate/MultiThumnailDelegate.qml
            qml/ThumbnailDelegate/NormalThumbnailDelegate.qml
            qml/ThumbnailDelegate/ThumbnailImage.qml
            qml/Utils/FloatingNotice.qml
            qml/Utils/ImageInputHandler.qml
            qml/Utils/RightMenuItem.qml

        NO_PLUGIN
        NO_GENERATE_PLUGIN_SOURCE # We are building an executable, not a plugin library
        NO_PLUGIN_OPTIONAL # Ensure the module is built

        # ENABLE_TYPE_COMPILER
        NO_GENERATE_EXTRA_QMLDIRS
    )

    # commercial-only
    # set_target_properties(${BIN_NAME} PROPERTIES
    #     QT_QMLCACHEGEN_DIRECT_CALLS ON
    # )
endif()

target_link_libraries(${BIN_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Quick
    Qt${QT_VERSION_MAJOR}::PrintSupport
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Qml
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Concurrent
    Qt${QT_VERSION_MAJOR}::Svg

    # 移除
    Dtk${DTK_VERSION_MAJOR}::Widget
    Dtk${DTK_VERSION_MAJOR}::Declarative
    GL
    pthread
    ${OCR_PLUGIN_LIBRARIES}
)

if(${CMAKE_BUILD_TYPE} MATCHES "Debug")
    TARGET_COMPILE_DEFINITIONS(${BIN_NAME} PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)
endif()

set(APPSHAREDIR ${CMAKE_INSTALL_PREFIX}/share/deepin-image-viewer)

# Add install rule
install(TARGETS ${BIN_NAME} DESTINATION ${APP_BIN_INSTALL_DIR})
install(FILES ${CMAKE_PROJECT_NAME}.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
install(FILES ./icon/${CMAKE_PROJECT_NAME}.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps)
install(FILES com.deepin.imageViewer.service DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/services/)

# translations
install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations
    DESTINATION ${APPSHAREDIR}
    FILES_MATCHING PATTERN "*.qm")

# manual
install(DIRECTORY ${PROJECT_SOURCE_DIR}/src/assets/deepin-image-viewer
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/application/
    FILES_MATCHING PATTERN "*")
#context-menu conf 文管右键菜单配置文件
install(FILES ${PROJECT_SOURCE_DIR}/src/misc/context-menus/deepin-print-pictures.conf
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/context-menus/)

=== debian/changelog ===
deepin-image-viewer (6.0.20) unstable; urgency=medium

  * Update version to 6.0.20. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 14 May 2025 13:21:50 +0800

deepin-image-viewer (6.0.19) unstable; urgency=medium

  * chore: update translations.
  * fix: Correct block dimensions and display issues in LiveText
  * refactor: Optimize loading with async Loaders(Bug: 310383)

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 12:28:13 +0800

deepin-image-viewer (6.0.18) unstable; urgency=medium

  * chore: update translations.
  * fix: Set organization name and remove obsolete comment

 -- renbin <renbin@uniontech.com>  Thu, 10 Apr 2025 19:18:46 +0800

deepin-image-viewer (6.0.17) unstable; urgency=medium

  * Update version to 6.0.17

 -- renbin <renbin@uniontech.com>  Wed, 02 Apr 2025 15:49:35 +0800

deepin-image-viewer (6.0.16) unstable; urgency=medium

  * fix: update translations and config
  * [skip CI] Translate desktop.ts in ja [Manual Sync] (#220)
  * fix: can not start via dbus
  * chore: update desktop file

 -- renbin <renbin@uniontech.com>  Thu, 27 Mar 2025 16:53:26 +0800

deepin-image-viewer (6.0.15) unstable; urgency=medium

  * fix: ocr crash on loongarch(Bug: 304463)

 -- renbin <renbin@uniontech.com>  Thu, 06 Mar 2025 17:43:15 +0800

deepin-image-viewer (6.0.14) unstable; urgency=medium

  * Bump version to 6.0.14

 -- wangrong <wangrong@uniontech.com>  Thu, 27 Feb 2025 19:33:03 +0800

deepin-image-viewer (6.0.13) unstable; urgency=medium

  * chore: Adjust paths for linglong application(Bug: 303741)

 -- wangrong <wangrong@uniontech.com>  Fri, 21 Feb 2025 13:41:42 +0800

deepin-image-viewer (6.0.12) unstable; urgency=medium

  * chore: Update linglong base
  * fix: Add command-line support for quick printing(Bug: 303741)

 -- renbin <renbin@uniontech.com>  Thu, 20 Feb 2025 19:38:36 +0800

deepin-image-viewer (6.0.11) unstable; urgency=medium

  * chore: Support linglong building base on Qt6.8 runtime

 -- renbin <renbin@uniontech.com>  Fri, 14 Feb 2025 09:29:39 +0800

deepin-image-viewer (6.0.10) unstable; urgency=medium

  * fix: ocr position offset on HiDPI displays(Bug: 275403)

 -- renbin <renbin@uniontech.com>  Fri, 27 Dec 2024 14:04:47 +0800

deepin-image-viewer (6.0.9) unstable; urgency=medium

  * fix: can not rotate after rename.
  * fix: hide btn when only single image.
  * fix: shortcut hide information dialog.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 10:57:46 +0800

deepin-image-viewer (6.0.8) unstable; urgency=medium

  * remove freeimage.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 07 Dec 2024 13:49:22 +0800

deepin-image-viewer (6.0.7) unstable; urgency=medium

  * fix: cannot drag window with title bar(Bug: 269541)

 -- renbin <renbin@uniontech.com>  Fri, 27 Sep 2024 09:32:29 +0800

deepin-image-viewer (6.0.6) unstable; urgency=medium

  * fix: shortcut and log file(Bug: 273543)
  * fix: error pop-up deletion dialog(Bug: 273813)
  * fix: move show shortcut panel to mainwindow(Bug: 273543)
  * feat: [translation]add transifex config(Task: 361363)

 -- renbin <renbin@uniontech.com>  Fri, 20 Sep 2024 13:06:24 +0800

deepin-image-viewer (6.0.5) unstable; urgency=medium

  * fix: image switching does not retain settings(Bug: 270339)(Influence: keep-image-status)
  * fix: only current item need blur(Bug: 270339)
  * chore: [dbus] Adapt V25 dde-file-manager dbus service name changed

 -- renbin <renbin@uniontech.com>  Thu, 05 Sep 2024 16:33:15 +0800

deepin-image-viewer (6.0.4) unstable; urgency=medium

  * fix: Improve image load policy(Bug: 254141)
  * chore(CI): add debian check workflow
  * fix: warning output
  * fix: wrong open image icon component(Bug: 206551)
  * fix: can't copy live text with shortcut(Bug: 219989)
  * fix: rename dialog layout(Bug: 167969)
  * fix: wrong text translation(Bug: 165223)
  * fix: button and icon state(Bug: 168641)
  * fix: remove unnecessary info(Bug: 167479)(Influence: AboutDialog)
  * fix: style for not-existent images(Bug: 213323)
  * fix: information dialog layout(Bug: 168015)
  * fix: live text button position and palette(Bug: 168833)
  * fix: palette of title bar in different states(Bug: 167839)(Influence: TitleBar)
  * fix: adjust openimagewidget and informationdialog(Bug: 168015)
  * fix: navigation and right menu(Bug: 167955)
  * Fix: add delete confirmation dialog(Bug: 167807)
  * feat: adapt qt6
  * fix: release resources on quit
  * feat: fit to window and navigation animation(Influence: Animation)
  * feat: sync scale and navigation animation(Influence: Animation)
  * feat: thumbnail view fade in/out animation(Influence: Animation)
  * feat: image switching animation(Influence: Animation)
  * feat: thumbnail switching animation(Influence: Animation)
  * feat: image rotation animation(Influence: Animation)
  * fix: navigation not update while image rotate(Influence: Animation)
  * fix: right menu delete not work
  * fix: some animation errors(Bug: 268449)(Influence: Animation)
  * fix: info dialog adapt diff font size(Bug: 268607)
  * fix: image index wrong after delete
  * fix: ui/ocr/reinitialization error(Bug: 268607)

 -- renbin <renbin@uniontech.com>  Thu, 15 Aug 2024 17:22:13 +0800

deepin-image-viewer (6.0.3) unstable; urgency=medium

  * fix: build failed with libraw after version 0.21.0(Influence: RAW)
  * fix: Fixed the issue where high-resolution screen 
         icons were displayed too large.(Issue: 4884)
  * fix: The name "InfomationDialog" in the tr translation file dose
         not correspond to the qml file name.(Bug: 208451)
  * fix: The right-click menu disappears after slideshow.
         (Bug: 208417)(Influence: RightClickMenu)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 14:28:59 +0800

deepin-image-viewer (6.0.2) unstable; urgency=medium

  * fix: AboutDialog's titlebar tearing shadow (#140)(Issue: 4222)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 11 May 2023 13:29:44 +0800



=== debian/control ===
Source: deepin-image-viewer
Section: utils
Priority: extra
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 cmake,
 pkg-config,
# Qt6
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-svg-dev,
 qt6-declarative-dev,
# Dtk
 libdtk6gui-dev,
 libdtk6widget-dev,
 libdtk6declarative-dev,
# Deepin
 libdeepin-ocr-plugin-manager-dev,
# 3rd party
 libraw-dev,
 libexif-dev,
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-image-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
    qml6-module-qt-labs-settings,
    qml6-module-qt-labs-folderlistmodel,
    qml6-module-qtquick-dialogs,
    qml6-module-qtquick-layouts,
    qml6-module-qtquick-effects,
    qml6-module-qtquick-window,
    qml6-module-qt5compat-graphicaleffects,
    libqt6sql6-sqlite,
    qt6-image-formats-plugins,
    libdeepin-ocr-plugin-manager(>= 1.0.0)
Recommends: qt6-gtk-platformtheme, deepin-ocr
Description: Image Viewer is an image viewing tool with fashion interface and smooth performance.
 Deepin Image Viewer is an image viewing tool with fashion interface and smooth performance.

## deepin-image-viewer 6.0.26

=== qimage-plugins/libraw/CMakeLists.txt ===
project(xraw VERSION 0.1.0)

set(CMAKE_AUTOMOC ON)
set(CMD_NAME xraw)

ADD_DEFINITIONS(-DTORRENT_LIBRARY)
ADD_DEFINITIONS(-DNO_FREETYPE)
ADD_DEFINITIONS(-DUNICODE -D_UNICODE)
ADD_DEFINITIONS(-DHCPP_LEGACY_API)
ADD_DEFINITIONS(-D_LIBXRAW_)

find_package(PkgConfig REQUIRED)
find_package(Qt${QT_VERSION_MAJOR}Core REQUIRED)
find_package(Qt${QT_VERSION_MAJOR}Gui REQUIRED)

pkg_check_modules(RAW REQUIRED libraw)

if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

# 加速编译优化参数
if(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -z noexecstack")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -z noexecstack")
    SET(CMAKE_EXE_LINKER_FLAGS "-pie")
endif()

include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include(GNUInstallDirs)
include_directories(${PROJECT_BINARY_DIR})

list(APPEND SRCS
    main.cpp
    rawiohandler.cpp
    datastream.cpp)

add_library(${CMD_NAME} SHARED ${SRCS})
target_include_directories(xraw PUBLIC ${RAW_INCLUDE_DIRS})
target_link_libraries(${CMD_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Gui
    raw)
set_target_properties(${CMD_NAME} PROPERTIES VERSION 1.0.0 SOVERSION 1)

# Install the image format plugin
set(PLUGIN_INSTALL_BASE_DIR ${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/plugins CACHE STRING "Plugin install base path")
install(TARGETS ${CMD_NAME} DESTINATION ${PLUGIN_INSTALL_BASE_DIR}/imageformats)

=== debian/changelog ===
deepin-image-viewer (6.0.26) unstable; urgency=medium

  * chore: update translations

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 27 Jun 2025 17:28:20 +0800

deepin-image-viewer (6.0.25) unstable; urgency=medium

  * chore: Update translations (#245)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 12:59:58 +0800

deepin-image-viewer (6.0.24) unstable; urgency=medium

  * chore: Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 18:38:23 +0800

deepin-image-viewer (6.0.23) unstable; urgency=medium

  * chore: update dependencies in configuration files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 21:53:37 +0800

deepin-image-viewer (6.0.22) unstable; urgency=medium

  * fix: fix OCR recognition crash on sw architecture when viewing images

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 21:12:24 +0800

deepin-image-viewer (6.0.21) unstable; urgency=medium
    
    * Update version to 6.0.21

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 13 Jun 2025 16:55:08 +0800

## deepin-image-viewer 6.0.28

=== qimage-plugins/CMakeLists.txt ===
add_subdirectory(libraw)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
 # OCR
 find_package(PkgConfig REQUIRED)
 pkg_search_module(OCR_PLUGIN REQUIRED deepin-ocr-plugin-manager)
+pkg_check_modules(InferenceEngine REQUIRED ncnn opencv_mobile)
 include_directories(${OCR_PLUGIN_INCLUDE_DIRS})
 
 # 保证 src 目录下头文件全局可见
@@ -35,6 +36,10 @@
 file(GLOB_RECURSE QMLSRC ./*.qml)
 
 qt_add_resources(SRCS res.qrc)
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wl,--as-need -fPIE")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-error=incompatible-pointer-types -fPIC")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wl,--as-need -fPIE -Wno-error=incompatible-pointer-types")
+set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
 
 if(NOT BUILD_WITH_QT6)
     qt_add_resources(APPEND SRCS deepin-image-viewer.qrc)
@@ -143,6 +148,7 @@
     Dtk${DTK_VERSION_MAJOR}::Declarative
     GL
     pthread
+    ${InferenceEngine_LIBRARIES}
     ${OCR_PLUGIN_LIBRARIES}
 )

=== debian/changelog ===
deepin-image-viewer (6.0.28) unstable; urgency=medium

  * fix: About interface application homepage display abnormality

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 11 Jul 2025 10:17:40 +0800

deepin-image-viewer (6.0.27) unstable; urgency=medium

  * chore: Update deepin-manual resources (#252)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 19:00:51 +0800

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,8 @@
 # 3rd party
  libraw-dev,
  libexif-dev,
+ libncnn-dev,
+ libopencv-mobile-dev
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org

## deepin-image-viewer 6.0.31

=== debian/changelog ===
deepin-image-viewer (6.0.31) unstable; urgency=medium

  * fix: Add Lao language translations to deepin-image-viewer.desktop

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 13:32:11 +0800

deepin-image-viewer (6.0.30) unstable; urgency=medium

  * Update version to 6.0.30.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 16:07:30 +0800

deepin-image-viewer (6.0.29) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Tue, 22 Jul 2025 20:55:26 +0800

## deepin-image-viewer 6.0.32

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(deepin-image-viewer LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include_directories(${PROJECT_BINARY_DIR})
configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)

# Find the Qt library
find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Core)
message("Using Qt version: ${QT_VERSION_MAJOR}")

# Select major DTK version.
if(QT_VERSION_MAJOR EQUAL "6")
    set(BUILD_WITH_QT6 ON)
    set(DTK_VERSION_MAJOR 6)
else()
    set(DTK_VERSION_MAJOR "")
endif()

# Application
add_subdirectory(src)

add_subdirectory(qimage-plugins)

# Unit Tests
#add_subdirectory(tests)

=== debian/changelog ===
deepin-image-viewer (6.0.32) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Sep 2025 14:34:56 +0800

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
     libqt6sql6-sqlite,
     qt6-image-formats-plugins,
     libdeepin-ocr-plugin-manager(>= 1.0.0)
-Recommends: qt6-gtk-platformtheme, deepin-ocr
+Recommends: qt6-gtk-platformtheme, deepin-ocr, kimageformat6-plugins
 Description: Image Viewer is an image viewing tool with fashion interface and smooth performance.
  Deepin Image Viewer is an image viewing tool with fashion interface and smooth performance.
